com.dlsc.flexgantt.swing.action.gantt

## Class MoveFocusAction<T extends AbstractGanttChart>

- java.lang.Object
- - javax.swing.AbstractAction
  - - com.dlsc.flexgantt.swing.action.AbstractFlexGanttAction
    - - com.dlsc.flexgantt.swing.action.gantt.AbstractGanttChartAction<T>
      - - com.dlsc.flexgantt.swing.action.gantt.MoveFocusAction<T>

- Type Parameters:
    `T` - the type of the Gantt chart
  All Implemented Interfaces:
    ActionListener, Serializable, Cloneable, EventListener, Action

      public class MoveFocusAction<T extends AbstractGanttChart>
      extends AbstractGanttChartAction<T>

  An action specialized on changing the focus within the tree tables of the Gantt chart. The action can focus on the cell above, below, to the left, to the right of the currently focused table cell. The action can even move the focus from one table to another (e.g. when using the `DualGanttChart`).
  Since:
    1.1
  Version:
    $Revision: 1.8 $
  Author:
    Dirk Lemmermann
  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `MoveFocusAction.Direction` An enumerator, which lists the different focus changes that are supported by the action.

  - ### Field Summary

    - ### Fields inherited from class com.dlsc.flexgantt.swing.action.gantt.AbstractGanttChartAction

      `ganttChart`

    - ### Fields inherited from class javax.swing.AbstractAction

      `changeSupport, enabled`

    - ### Fields inherited from interface javax.swing.Action

      `ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MoveFocusAction(T gc, MoveFocusAction.Direction dir)` Constructs a new action.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `actionPerformed(ActionEvent evt)`

    - ### Methods inherited from class com.dlsc.flexgantt.swing.action.gantt.AbstractGanttChartAction

      `findFocusedTable, getGanttChart, setGanttChart`

    - ### Methods inherited from class com.dlsc.flexgantt.swing.action.AbstractFlexGanttAction

      `getToolTipText, setToolTipText`

    - ### Methods inherited from class javax.swing.AbstractAction

      `addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, isEnabled, putValue, removePropertyChangeListener, setEnabled`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MoveFocusAction

          public MoveFocusAction(T gc,
                                 MoveFocusAction.Direction dir)

      Constructs a new action.
      Parameters:
        `gc` - the target Gantt chart
        `dir` - the direction into which to change the focus
      Since:
        1.1

  - ### Method Detail

    - #### actionPerformed

          public void actionPerformed(ActionEvent evt)

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.